1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

I got a problem......

Discussion in 'Sony PSP - Mod and firmware discussion' started by krazydude, May 4, 2007.

  1. krazydude

    krazydude Member

    Joined:
    May 4, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    hi, uhmm l8ly my friend was trying to sell me a PSP
    and i dun wanna buy it if it isnt able to play downloaded games
    like i heard there r versions that may not b able to play the downloaded games so i jus wanna make sure.....plz help me out
     
  2. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    True, what firmware is it? If you don't know, I can't help you until you tell me the firmware.
     
  3. krazydude

    krazydude Member

    Joined:
    May 4, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    lol im rly sry, buts wut firmware?
     
  4. moon1990

    moon1990 Member

    Joined:
    Mar 16, 2007
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    16
    just ask ur friend wat firmware that psp is runnin

    BTW u must do some searching if ur buying a psp.u dont even know wat is firmware

    if that psp is fw 1.5 or has any custom fw then u r good to go
     
  5. krazydude

    krazydude Member

    Joined:
    May 4, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    oo those firmware mean the version of the PSP, like i heard 1.5 version can play DL games, and 3.5 but 2.? cant
     
  6. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    anything above 3.03 you dont want to buy
     

Share This Page